Package ghidra.program.model.lang

# Class PrototypeModelError

java.lang.Object
ghidra.program.model.lang.PrototypeModel
ghidra.program.model.lang.PrototypeModelError

public class PrototypeModelError extends PrototypeModel
A PrototypeModel cloned from another, but marked as an error placeholder

- ## Field Summary

  ### Fields inherited from class ghidra.program.model.lang.PrototypeModel

  `isExtension, name, UNKNOWN_EXTRAPOP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrototypeModelError(String name, PrototypeModel copyModel)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isErrorPlaceholder()`
  If a PrototypeModel fails to parse (from XML) a substitute model may be provided, in which case this method returns true.

  ### Methods inherited from class ghidra.program.model.lang.PrototypeModel

  `assignParameterStorage, encode, getAliasParent, getArgLocation, getExtrapop, getInjectName, getInputListType, getInternalStorage, getKilledByCallList, getLikelyTrash, getName, getNextArgLocation, getPotentialInputRegisterStorage, getReturnAddress, getReturnLocation, getStackParameterAlignment, getStackParameterOffset, getStackshift, getStorageLocations, getUnaffectedList, hasInjection, hasThisPointer, isConstructor, isEquivalent, isMerged, isProgramExtension, possibleInputParamWithSlot, possibleOutputParamWithSlot, restoreXml, setReturnAddress, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrototypeModelError

    public PrototypeModelError(String name, PrototypeModel copyModel)

- ## Method Details

  - ### isErrorPlaceholder

    public boolean isErrorPlaceholder()
    Description copied from class: `PrototypeModel`
    If a PrototypeModel fails to parse (from XML) a substitute model may be provided, in which case this method returns true. In all other cases this method returns false;
    Overrides:
      `isErrorPlaceholder` in class `PrototypeModel`
    Returns:
      true if this object is a substitute for a model that didn't parse